%{?nodejs_find_provides_and_requires}

%global packagename core-js
%global enable_tests 1

Name:		nodejs-core-js
Version:	2.4.0
Release:	3%{?dist}
Summary:	Standard library

License:	MIT
URL:		https://github.com/zloirock/core-js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(promises-aplus-tests)
%endif

%description
Standard library


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

# remove zero length files
find library/modules -type f -delete
find modules/library -type f -delete


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js shim.js build/ client/ core/ es5/ es6/ es7/ fn/ \
  library/ modules/ stage/ web/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/promises-aplus-tests tests/promises-aplus/adapter
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Aug 04 2016 Jared Smith <jsmith@fedoraproject.org> - 2.4.0-2
- Remove zero-length files

* Tue Jul 05 2016 Jared Smith <jsmith@fedoraproject.org> - 2.4.0-1
- Update to upstream 2.4.0 release

* Tue Feb 16 2016 Jared Smith <jsmith@fedoraproject.org> - 2.1.0-1
- Initial packaging
